On this page
No Headings
PayPalJWT PayPal-supplied JWT token for authenticating merchant API requests.
Important: These JWT tokens are issued and managed by PayPal, not generated by merchants. PayPal provides these tokens to authenticate calls to your merchant API endpoints.
Usage:
Example:
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...
In: header
The cart identifier
PayPal-supplied JWT token for authentication
Request content type
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://your-domain.com/api/paypal/v1/merchant-cart/CART-123" \ -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9..." \ -H "Content-Type: application/json" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "variant_id": "SHIRT-BASIC-001", "quantity": 3, "name": "Basic T-Shirt", "price": { "currency_code": "USD", "value": "19.99" } } ], "customer": { "email_address": "[email protected]" }, "payment_method": { "type": "paypal" } }'{
"id": "CART-UPDATE-001",
"status": "READY",
"validation_status": "VALID",
"validation_issues": [],
"items": [
{
"variant_id": "SHIRT-BASIC-001",
"quantity": 3,
"name": "Basic T-Shirt",
"price": {
"currency_code": "USD",
"value": "19.99"
}
}
],
"customer": {
"email_address": "[email protected]"
},
"totals": {
"subtotal": {
"currency_code": "USD",
"value": "59.97"
},
"shipping": {
"currency_code": "USD",
"value": "6.99"
},
"tax": {
"currency_code": "USD",
"value": "6.12"
},
"total": {
"currency_code": "USD",
"value": "73.08"
}
}
}{
"name": "INVALID_REQUEST",
"message": "The request could not be processed",
"debug_id": "ERROR-12345",
"details": [
{
"field": "items",
"issue": "MISSING_REQUIRED_FIELD",
"description": "The items field is required and cannot be empty"
}
]
}{
"name": "CART_NOT_FOUND",
"message": "Cart with ID does not exist",
"debug_id": "ERROR-404-67890"
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "Item out of stock",
"details": [
{
"field": "items[0].quantity",
"issue": "INSUFFICIENT_STOCK",
"description": "Requested quantity exceeds available stock"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "A temporary system error occurred. Please try again later.",
"debug_id": "ERROR-500-44556"
}Available shipping methods with selection state
Products in the cart
1 <= itemsRepresents customer information for the shopping cart.
International shipping address for cart delivery.
Billing address for merchant business purposes, obtained from customer's PayPal profile. Similar to shipping addresses, billing addresses can be retrieved from customer's default address information stored in their PayPal account.
When Billing Address is Available:
Primary Use Cases:
Secondary Use Cases:
Note: Payment verification (AVS) and chargeback protection are handled by PayPal internally.
Implementation Notes:
Payment method information for PayPal Cart API. This API is specifically designed for PayPal's shopping cart service, so only PayPal payment methods are supported.
Payment Flow:
Billing Address Behavior:
Note: Other payment methods (credit cards, Apple Pay, etc.) would be handled by separate merchant payment systems outside of this PayPal Cart API.
Custom checkout fields (age verification, etc.)
Discount coupons to apply or remove from cart
Optional precise location coordinates for enhanced delivery services